.open-save-dialog-btn {
    padding: 5px 30px;
    border-radius: 6px;
    background-color: #83a931;
    color: #fff;
}

.open-save-dialog-btn:hover {
    background-color: #77922a;
}

.only-save-data-btn {
    margin-left: 15px;
    padding: 5px 30px;
    border-radius: 6px;
    background-color: #83a931;
    color: #fff;
}

.only-save-data-btn:hover {
    background-color: #77922a;
}

.save-dialog {
    position: absolute;
    z-index: 30;
    top: 20%;
    left: 50%;
    margin-left: -280px;
    width: 560px;
    background: #000;
    box-shadow: 0 0 4px #7c7c7c;
    color: white;
    border-radius: 10px;
    border: 4px solid rgba(255, 255, 255, 0.4);
}

.save-dialog .header {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    padding: 10px 14px;
    border-bottom: 1px solid #666;
}

.save-dialog .close-button {
    width: 32px;
    height: 32px;
    background: url('../images/close.png') no-repeat center center;
    background-size: 100%;
    cursor: pointer;
    opacity: 0.5;
}

.save-dialog .dialog-content {
    padding: 20px 26px;
}

.save-dialog .dialog-content .Row {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 18px;
}

.save-dialog .dialog-content .Row .Text {
    margin-right: 18px;
    text-align: right;
}

.save-dialog .dialog-content .Row .Input,
.save-dialog .dialog-content .Row .TextArea {
    width: 360px;
    line-height: 28px;
    border-radius: 4px;
    background-color: #1d1d1d;
    border: 1px solid #2b2b2b;
    color: white;
    font-size: 12px;
    padding-left: 10px !important;
    padding-right: 10px !important;
    outline: none;
}

.save-dialog .dialog-content .Row .description-input {
    max-width: 360px;
    height: 120px;
    text-wrap: wrap;
}

.save-dialog .dialog-content .Row .Text {
    margin-right: 18px;
    text-align: right;
}

.save-dialog .dialog-content .Row .Select  {
    width: 184px;
    height: 32px;
    border-radius: 4px;
    background-color: #1d1d1d;
    border: 1px solid #2b2b2b;
    color: white;
    font-size: 12px;
    padding: 0 10px;
    outline: none;
    text-indent: 8px;
}

.save-dialog .dialog-content .Row .Select:last-child {
    margin-left: 14px;
}

.save-dialog .dialog-footer {
    padding-bottom: 20px;
}

.save-dialog .dialog-footer .save-button {
    background-color: #399cdb;
    margin-left: 112px;
    width: 140px;
    border-radius: 13px;
    height: 32px;
    color: #fff;
}

.save-dialog .dialog-footer .save-button:hover {
    background-color: #399cdb;
    opacity: 0.8;
}
